const path = require('path');

module.exports = {
  entry: {
    polyfills: path.resolve(
      __dirname,
      "source/javascripts/modules/avvo_ui/polyfills.js"
    ),
    main: path.resolve(
      __dirname,
      "source/javascripts/modules/avvo_ui/index.js"
    ),
  },
  output: {
    path: path.resolve(__dirname, "dist/"),
    filename: "avvo-styleguide_[name]_bundle.js",
  },
  module: {
    rules: [
      {
        test: /\.woff$/,
        use: [
          {
            loader: "file-loader",
            options: {
              name: "[name].[ext]",
              outputPath: "../dist/",
            },
          },
        ],
      },
    ],
  },
};
